Skip to main content
PUT
/
api
/
v1
/
routing-rules
/
settings
RoutingRule ayarlarını güncelle
curl --request PUT \
  --url https://vpos-sandbox.payven.com.tr/api/v1/routing-rules/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "routing_mode": "<string>",
  "weight_factor": 123,
  "success_rate_factor": 123,
  "response_time_factor": 123,
  "cost_factor": 123,
  "min_execution_candidates": 123,
  "fallback_enabled": true,
  "bin_weight": 123,
  "amount_weight": 123,
  "currency_weight": 123,
  "installment_weight": 123,
  "brand_weight": 123,
  "type_weight": 123
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Body

application/json
routing_mode
string | null
weight_factor
number<double>
success_rate_factor
number<double>
response_time_factor
number<double>
cost_factor
number<double>
min_execution_candidates
integer<int32>
fallback_enabled
boolean
bin_weight
integer<int32>
amount_weight
integer<int32>
currency_weight
integer<int32>
installment_weight
integer<int32>
brand_weight
integer<int32>
type_weight
integer<int32>

Response

No Content